# Uses of Interface
com.logicaldoc.core.searchengine.SearchEngine

Packages that use SearchEngine
Package
Description
com.logicaldoc.core.searchengine
The core of the search engine.

## Uses of SearchEngine in com.logicaldoc.core.searchengine

Classes in com.logicaldoc.core.searchengine that implement SearchEngine
Modifier and Type
Class
Description
`class`
`StandardSearchEngine`
Standard implementation that implements a local search engine
Methods in com.logicaldoc.core.searchengine that return SearchEngine
Modifier and Type
Method
Description
`static SearchEngine`
SearchEngine.`get()`
Gets the object available in the application context
`SearchEngine`
IndexOptimizer.`getIndexer()`